# class GdkPixbuf::Loader

### Private Instance Methods

define_constant(name, info) click to toggle source
Calls superclass method

    # File lib/gdk_pixbuf2/loader.rb, line 38
    def define_constant(name, info)
      if /PIXBUF_/ =~ name
        name = $POSTMATCH
      end
      super(name, info)
    end

post_load(repository, namespace) click to toggle source

    # File lib/gdk_pixbuf2/loader.rb, line 25
    def post_load(repository, namespace)
      require_libraries
    end

pre_load(repository, namespace) click to toggle source

    # File lib/gdk_pixbuf2/loader.rb, line 22
    def pre_load(repository, namespace)
    end

require_libraries() click to toggle source

    # File lib/gdk_pixbuf2/loader.rb, line 29
    def require_libraries
      require "gdk_pixbuf2/pixbuf"
      require "gdk_pixbuf2/pixbuf-loader"

      require "gdk_pixbuf2/deprecated"

      require "gdk_pixbuf2/version"
    end